Update a Custom Field

This endpoint can be used to update specific fields of a Custom Field. Only the fields specified in the request body will be updated: name_plural, name_singular, add_options, remove_options, tooltip_text, backref_name, and backref_tooltip_text. Use add_options to append new options to PICKER/MULTI_PICKER fields, or remove_options to remove existing options. Both can be used in the same request, but the same option cannot appear in both add_options and remove_options arrays. Other fields cannot be modified through this endpoint.

Path Params
integer
required
≥ 1

The Custom Field ID to retrieve.

Body Params

Schema for updating custom fields. Only specified fields will be updated.

string
length ≤ 255

The text shown as the title for a Custom Field Backreference on an Object Set, People Set, or Reference Field. Required when field_type is set to OBJECT_SET.

string
length ≤ 255

The tooltip text shown when hovering over the title of a Custom Field Backreference on an Object Set, People Set, or Reference Field.

string
length ≤ 255

The plural name for the Custom Field. Required when field_type is set to MULTI_PICKER, or when field_type is set to OBJECT_SET and allow_multiple is set to 'true' (Object Set and People Set Fields only; Reference Fields do not use this).

string
length ≤ 255

The singular name for the Custom Field. Always required.

add_options
array of strings

Options to add to PICKER or MULTI_PICKER fields. These options will be appended to the existing options list. Can be used together with remove_options in the same request, but the same option cannot appear in both add_options and remove_options arrays.

add_options
remove_options
array of strings

Options to remove from PICKER or MULTI_PICKER fields. These options will be removed from the existing options list if they exist. Can be used together with add_options in the same request, but the same option cannot appear in both add_options and remove_options arrays.

remove_options
string
length ≤ 255

The tooltip text shown when hovering over the title of a Custom Field.

Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Choose an example:
application/json